python-cinder misses python-mysqldb dependency

Bug #1325518 reported by Anastasia Palkina on 2014-06-02
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
Critical
Unassigned

Bug Description

"build_id": "2014-06-02_00-40-36",
"mirantis": "yes",
"build_number": "334",
"nailgun_sha": "0828946af6a2e757fb018c2f69f7f81f0ea4b7f1",
"ostf_sha": "3690709d95c1f42506b6d955b44221910cec8527",
"fuelmain_sha": "7fbe99c86a4fffcb5ebc5b86046dcf1c20776f61",
"astute_sha": "55df06b2e84fa5d71a1cc0e78dbccab5db29d968",
"release": "4.1B",
"fuellib_sha": "c64ffdc5e7bfe7fa8eb971be1fea2260ee849ab5"

1. Create new environment (Ubuntu, simple mode)
2. Choose Ceilometer installation
3. Add compute, controller, cinder
4. Choose debugging
5. Start deployment. It was successful
6. But there is error on cinder node in puppet.log:

2014-06-02 10:17:27 ERR

 (/Stage[main]/Cinder::Base/Exec[cinder-manage db_sync]) Failed to call refresh: cinder-manage db sync returned 1 instead of one of [0] at /etc/puppet/modules/cinder/manifests/base.pp:123

Anastasia Palkina (apalkina) wrote :
Changed in fuel:
importance: Undecided → High
Vladimir Kuklin (vkuklin) wrote :

2014-06-03 09:33:01.678 13304 CRITICAL cinder [-] No module named MySQLdb
2014-06-03 09:33:01.678 13304 TRACE cinder Traceback (most recent call last):
2014-06-03 09:33:01.678 13304 TRACE cinder File "/usr/bin/cinder-manage", line 543, in <module>
2014-06-03 09:33:01.678 13304 TRACE cinder main()
2014-06-03 09:33:01.678 13304 TRACE cinder File "/usr/bin/cinder-manage", line 540, in main
2014-06-03 09:33:01.678 13304 TRACE cinder fn(*fn_args)
2014-06-03 09:33:01.678 13304 TRACE cinder File "/usr/bin/cinder-manage", line 225, in sync
2014-06-03 09:33:01.678 13304 TRACE cinder return migration.db_sync(version)
2014-06-03 09:33:01.678 13304 TRACE cinder File "/usr/lib/python2.7/dist-packages/cinder/db/migration.py", line 33, in db_sync
2014-06-03 09:33:01.678 13304 TRACE cinder return IMPL.db_sync(version=version)
2014-06-03 09:33:01.678 13304 TRACE cinder File "/usr/lib/python2.7/dist-packages/cinder/db/sqlalchemy/migration.py", line 74, in db_sync
2014-06-03 09:33:01.678 13304 TRACE cinder current_version = db_version()
2014-06-03 09:33:01.678 13304 TRACE cinder File "/usr/lib/python2.7/dist-packages/cinder/db/sqlalchemy/migration.py", line 86, in db_version
2014-06-03 09:33:01.678 13304 TRACE cinder return versioning_api.db_version(get_engine(), repository)
2014-06-03 09:33:01.678 13304 TRACE cinder File "/usr/lib/python2.7/dist-packages/cinder/openstack/common/db/sqlalchemy/session.py", line 498, in get_engine
2014-06-03 09:33:01.678 13304 TRACE cinder sqlite_fk=sqlite_fk)
2014-06-03 09:33:01.678 13304 TRACE cinder File "/usr/lib/python2.7/dist-packages/cinder/openstack/common/db/sqlalchemy/session.py", line 585, in create_engine
2014-06-03 09:33:01.678 13304 TRACE cinder engine = sqlalchemy.create_engine(sql_connection, **engine_args)
2014-06-03 09:33:01.678 13304 TRACE cinder File "/usr/lib/python2.7/dist-packages/sqlalchemy/engine/__init__.py", line 332, in create_engine
2014-06-03 09:33:01.678 13304 TRACE cinder return strategy.create(*args, **kwargs)
2014-06-03 09:33:01.678 13304 TRACE cinder File "/usr/lib/python2.7/dist-packages/sqlalchemy/engine/strategies.py", line 64, in create
2014-06-03 09:33:01.678 13304 TRACE cinder dbapi = dialect_cls.dbapi(**dbapi_args)
2014-06-03 09:33:01.678 13304 TRACE cinder File "/usr/lib/python2.7/dist-packages/sqlalchemy/connectors/mysqldb.py", line 57, in dbapi
2014-06-03 09:33:01.678 13304 TRACE cinder return __import__('MySQLdb')
2014-06-03 09:33:01.678 13304 TRACE cinder ImportError: No module named MySQLdb
2014-06-03 09:33:01.678 13304 TRACE cinder

Changed in fuel:
importance: High → Critical
summary: - ERR: cinder-manage db sync returned 1 instead of one of [0
+ python-cinder misses python-mysqldb dependency
Changed in fuel:
status: New → Triaged
assignee: Fuel Library Team (fuel-library) → Fuel OSCI Team (fuel-osci)
OSCI Robot (oscirobot) wrote :
Changed in fuel:
status: Triaged → In Progress
OSCI Robot (oscirobot) wrote :

Package cinder has been built from changeset: http://gerrit.mirantis.com/16177
DEB Repository URL: http://osci-obs.vm.mirantis.net:82/ubuntu-fuel-4.1.1-stable/ubuntu

Changed in fuel:
status: In Progress → Fix Committed
OSCI Robot (oscirobot) wrote :

Package cinder has been built from changeset: http://gerrit.mirantis.com/16134
RPM Repository URL: http://osci-obs.vm.mirantis.net:82/centos-fuel-4.1.1-stable/centos

OSCI Robot (oscirobot) wrote :

Package cinder has been built from changeset: http://gerrit.mirantis.com/16134
DEB Repository URL: http://osci-obs.vm.mirantis.net:82/ubuntu-fuel-4.1.1-stable/ubuntu

Nastya Urlapova (aurlapova) wrote :

{
build_id: "2014-06-04_09-16-08",
mirantis: "yes",
build_number: "341",
nailgun_sha: "a828d6b7610f872980d5a2113774f1cda6f6810b",
ostf_sha: "c959aa55f83fe2555cf2d382559271c7a9b17467",
fuelmain_sha: "7ed0f85acc0bab4b9157703a618b8cc9fd7de3e1",
astute_sha: "55df06b2e84fa5d71a1cc0e78dbccab5db29d968",
release: "4.1B",
fuellib_sha: "0e96fc5a340cd57f75c454ea8536471379299494"

Changed in fuel:
status: Fix Committed → Fix Released
Curtis Hovey (sinzui) on 2016-07-29
Changed in fuel:
assignee: Registry Administrators (registry) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers